Welcome

Welcome to Registry Doctor

 Registry Doctor

Thank you for choosing Registry Doctor. Whether you simply want to optimize your system or get rid of junk collected in your system with as little effort as possible or want the backup your system files with a single click recovery option, or protect your privacy, PC Optimizer is the tool of choice. No other program is as feature-rich, yet as easy to set up and use as PC Optimizer.

Computers need maintenance.

Computer is also a machine and like all other machines it needs maintenance. Computers are not like ordinary machines but are intelligent machines. They require systematic servicing and maintenance. Computers will begin to run poorly and even "break down" if not well taken care of and maintained. People maintain their automobiles because of the large investment they have in them but most fail to maintain their computer systems despite the similar large investment.

Many people are not entirely familiar with the procedures of maintenance that must be performed in order to service computer systems properly, and most system technicians will agree that the necessary tools are not included with the operating system. Registry Doctor is a complete collection of all of the necessary tools to keep your system running smooth, fast, and error free.

Use Registry Doctor regularly and we promise you will be amazed at how much better your computer runs.

Take a look at Registry Doctor's arsenal of powerful tools.

  • How to Purchase Registry Doctor

  • Registry Doctor - Order Form

  • Registry Defrager and Optimizer

    • When to Use Registry Defragger and Optimizer and Defragger

    • How much space I will gain...

    • Steps to optimize registry

  • System Files Backup and Restore

    • Backup Process

    • Importing old backups or backup of other users

    • Restore Process

  • Registry Cleaner and Fixer

    • When should I use Registry Cleaner and Fixer

    • How to use Registry Cleaner and Fixer

    • Setting Up Options - What to search

    • Starting Registry Cleaner and Fixer

    • Stopping Registry Cleaner and Fixer

    • Removing Invalid Data

    • Undo Changes Information


Registration Information

Registration Information for Registry Doctor

We uses Emetrix Registration service, which is a well-known company for online money transfer, to process your order.

What are the benefits of Registration?

  • Free unlimited access to telephone, e-mail, web, and fax based technical support privileges.
  • Free upgrades / Updates and all service releases / fixes.
  • Discount on our other products.

How much does it cost?

  • Single Computer License: US$ 24.95 Register online now on Secure Server
  • Site licenses price per copy are as follows:

Type of License

Cost in US$

1 Copy register

24.95 each

2 - 5 Copies

22.95 each

5 - 10 Copies

20.95 each

10 - 25 Copies

18.95 each

25 - 50 copies

16.95 each

50 - 100 copies

14.95 each

101 and above

12.95 each

There are several ways to order:

Internet: Ordering via Internet is extremely simple and fast. Just go to http://secure.emetrix.com/order/product.asp?PID=1712383 (You'll need Internet Explorer 4.0 or Netscape 3.0 or higher to order via credit card).

Please choose from the available ordering options that best suits your needs:

Check / Money Order: Click here to go to the check order form. Fill out the applicable information, and send the form with payment to the address located at the top of the form.

Credit Card Order by Fax: Click here to go to the fax order form. Fill out the applicable information, and send the form to the fax number located at the top of the form.

Credit Card Order by Phone: To place your order by phone call us with your credit card information ready at one of the numbers below:

Toll Free (US and Canada only): 888-447-1175
Standard (International): 801-444-2837

Purchase Order: We accept purchase orders from qualified corporations and organizations on orders of $50 or more. Please submit the purchase order to us by fax (801-497-9456) or email sales@emetrix.com.

Please include complete information including the product you wish to purchase, your billing address, phone number, etc. You MUST include an email address for product delivery.

eMetrix company information for your records can be found below:

Emetrix
ATTN: Sales
1648 Willow Dr
Kaysville, UT 84037

If you have any questions about ordering procedure, please contact us via email: sales@optimizeyourpc.com.

IMPORTANT: Emetrix only processes registration and does not supply technical support. For technical support please contact: support@optimizeyourpc.com


Introduction

Introduction To Registry Optimizer and Defrager

What Registry Optimizer and Defrager Does

Registry Optimizer and Defrager eliminates the registry fragmentation. It gives you a fresh new registry with no holes, no redolent data.

Advantages of Registry Optimizer and Defrager

  • Builds a brand new registry from the old one.

  • Improves System Response Time.

  • Saves Memory as smaller registry consumes less memory.

  • Privacy Protector. Removes the deleted data from the registry permanently.

  • Improves Application response time.

  • Improves boot time.

  • Prevents the registry corruption.

The Windows Registry

The registry plays a key role in the configuration and control of Windows 2000 systems. It is the repository for both system wide and per-user settings. The data in the registry is stored in more than one file, each file called a hive.

Windows and most programs store their configuration data in the registry. Over time, as programs are used, installed and uninstalled, the registry becomes fragmented. Think of Registry Database as a chart with rows and columns in a big queue. When an entry is removed, the entry is made into a blank entry with no data. It still occupies the same amount of space that it occupied before. This is necessary so that the information below it is still in the same place. When new items are added to the registry, they are added at the bottom in a queue. So over time, the registry ends up with a lot of blank cells. This situation is similar to disk fragmentation, which occurs when the system creates and deletes files on the disk. It can also be explained by this simple image.

This has a significant impact on the performance of Windows and programs that make heavy use of the registry. It is most evident at boot time and when running programs that use lots of COM classes (such as Microsoft Office, Internet Explorer, Visual Studio and lots of commercial software). Whenever you install software data is written to the registry so the software can later be uninstalled.

Home


When to use Registry Optimizer and Defrager

Over time, Windows Registry will grow and grow even though no new software has been installed or uninstalled. This is because most programs including Windows store there Data in the registry. Every update to registry makes the registry grow as old data is deleted and new data is inserted. This makes the windows slow and decreases response of all the programs using the registry.

To solve all these problems we recommend you to go for Registry Defrag:

  • Every 30 days.

  • When new software is installed.

  • When existing software is uninstalled or removed.


How much space I will gain...

This is not an easy question. Besides space optimization there are other benefits. The obvious advantage here is that data is fully defragmenter and is linear. So the access is fast which results in better response time.

Sometimes the space benefits will be only in the range of 1% to 3% of total registry size. But what we will get is complete linear registry without any fragmentation, bad data.

Our tests on Windows NT/2000/XP where registry size is sometimes above 25 MB the space benefit 768 KB 3% which is approx 1 MB is also huge performance improvement. It not only saves 1 MB precious memory but also huge performance improvement.


Steps to optimize registry

Optimizing registry is simply a two step process. When you see the registry optimizer and defrager Window it has two buttons of our interest.

  • Compact Results

  • Optimize Now

Compact Results

This is the first step to continue with the registry compactation. It will compact the registry and give you the detailed information about the original un-optimized registry and optimized registry. Registry is not compacted or replaced now. It is only to show you brief summary and results of optimization process. You may discard the changes at any time by exiting the Registry Optimizer and Defrager.

Optimize Now

Optimize Now, Defrags the registry in the background. To replace your un-optimized registry with the optimized one you will have to restart your system. Registry Optimizer and Defrager will ask you to restart your system. Please note that if you skip to restart your system you will still be using your un-optimized registry.

Important Notes:

While compactation process you may notice slowdown or some of your programs not responding. It is perfectly normal as only one program is allowed to access the registry. Registry Optimizer and Defrager to prevent errors locks the registry during optimization process.


Introduction to System Files Backup and Restore

System Files Backup and Restore assists you in backing up system files and restoring them in case of System Failure. Thus you can always revert back to last known good configuration and minimize the chances of bad software installations and viruses.

At present it support backing up only the Windows Registry System Files and Per User Registry Settings.

Advantages of System Files Backup and Restore :

  • Make the complete backup of Windows Registry.

  • Avoids the chances of bad software installations.

  • Minimize the chances of Viruses.

  • Lets you make the test trial installations by first making backup and restoring them later.

  • Only per user backup of Windows Registry with the facility to Import data of other users.


Backup Process

Backup is only a simple one step process. To backup your system files on the main window of System Files Backup and Restore press the Backup button. Pressing the backup button will show Backup windows over the main screen. (You can see the main screen by again pressing backup). Just press the Start button to initiate the Backup Process.

Backup window also have some additional features.

Create an Emergency Boot Disk

System Files Backup and Restore allows you to create an emergency recovery boot disk. Please note that on Windows NT/2000/XP boot disk will only store system boot files to facilitate simple boot up from hard disk. When you press Create Emergency Boot Disk it will show dialog asking to format a floppy. Only 1.44 MB floppies are supported at this time. It will format the floppy and copy the required System Files on the disk.

Where are Backup System Files Stored

By default System Files Backup and Restore stores the backup in the directory where it is installed. If it cannot create the files in the directory it will store files in the "My Documents" folder. In the last it will try to store boot files in the c: drive. You can override this default behavior by specifying the directory where backups will be stored. If there is no space on the folder where you have the backups it will revert back to default behavior.

Where are Backups…

Once you backup is successful an entry is made in list of Restore Window. It shows date and time of Backup and backup path.

Notes:

  1. System Files Backup and Restore will only backup System Registry files of the current logged on user only. This is an important restriction on Windows NT/2000/XP based systems. On Windows 95/98/ME it backups all the users registry files.

  2. On Windows NT/2000/XP you must have Backup and Restore privilege to backup files. Ask you administrator for giving you these privileges.

  3. While backing up registry, registry accessed is locked to prevent corruption. So you may feel little bit slowdown or some application will appear to slowdown. It is perfectly normal and everything will revert back to normal as the backup process completes.

  4. Successful backups are shown on Restore Window in the backup lists.


Importing old backups or backup of other users

You can import old backups, or backups made by other users on your computer. You can do this by pressing the locate Button on the main window System Files Backup and Restore. It also allows you to import old backups made during previous operating install. It even allows you to import backups of other computers to be restored on your computer.

System Files Backup and Restore stores its entire backup database in one file called info.arb. When you press "…" button it will open a file open dialog. Enter here the place where this file is stored. If the file is not listed already in the backup database it will be imported.

NOTE: This is a very powerful and sensitive feature of System Files Backup and Restore. It should be used with utmost care and precaution. If not used properly it may give unexpected results.


Restore Process

Restore is a simple process. Press the Restore button on the main Window of System Files Backup and Restore. You will see a list with backup records with complete date and time of backup. Select the backup you want to restore and press the restore button. Restore button will ask that it requires to Restart the system to complete the restoration process. When you press yes your system will be restarted with new backup applied.


Introduction - Registry Cleaner and Fixer

Over time, the windows database "the registry" in which Windows and other applications store information can begin to hold data that is no longer valid. Such information links points to a location where there was a file, but the file is no longer there. Often such invalid links occur because programs uninstalled do not completely remove their registry entries, programs were not correctly uninstalled by the user, a user views a file attached to email without saving them to disk first, and applications have been moved without uninstalling and reinstalling them. This invalid data eventually begins to clutter your Registry, slowing Windows down and causing other possible problems.

The Registry Cleaner and Fixer will cleanup and streamline your Registry by finding and removing these invalid data references. Invalid links are common in system registry, and it is always a good idea to clean them out regularly.


When should I use Registry Cleaner and Fixer

Windows store each and every action of user in the windows registry, such as what files are opened by the user, his recent documents. Over time, this information becomes outdated and irrelevant causing the Windows Registry to contain irrelevant information.

To solve all these problems we recommend you to go for Registry Cleaner and Fixer:

  • Every 30 days.

  • When new software is installed.

  • When existing software is uninstalled or removed.


How to use Registry Cleaner and Fixer

The default options of Registry Cleaner and Fixer are best. You only have to press the Start button and it will start its hard work. It will search the entire registry for a links pointing to a file and then searching your hard disk for that file. Registry Cleaner and Fixer is the only tool that has intellisense search technology. It will show you in a well formatted list the registry key name, with its invalid file name. You can at any time stop the search process by pressing the stop button.

After the search is complete Registry Cleaner and Fixer will show you a complete list of invalid registry keys it has found. You can then check the items you want to delete or press select all to select all the items and press the delete button to delete the keys. An undo file is created whenever you delete an item from Registry. You can manage your undo information by pressing the Undo button and can selectively undo any items.


Setting Up Options - What to search

You can set options in Registry Cleaner and Fixer for what to scan in the registry. They are described as follows:

Activex OLE COM Sections

Registry Cleaner and Fixer will search for currently installed COM and Activex objects. Please note that searching Activex OLE COM sections can take several minutes. Registry Cleaner and Fixer is the only tool that does complete heuristic analysis of Activex OLE COM sections as they are interlinked and interdependent.

User Software Settings

Registry Cleaner and Fixer will search for software settings of current logged in user. System Registry is divided into two parts per user settings and settings for system as a whole. So only the currently logged in user settings will be searched for invalid references.

System Software Settings

Registry Cleaner and Fixer will search for all the system software settings. They are not for current user but are applicable for whole system. Most of the Windows stuff is hidden here. Searching System Software Settings can take several minutes.

Shared DLL's Section

Registry Cleaner and Fixer will search for orphan reference to System Shared Dll’s. Windows keeps list of system Dlls with there path in registry. Some times due to installation / uninstallation of software it may contain invalid reference links.

Fonts Section

Many users install new font faces and remove them if they do not like it. Many software comes bundled with there own fonts. Windows store each reference to a font in the registry. If it is not cleaned regularly, Windows can get confuse and start showing different font faces instead of what you expect.

Invalid File Associations

Windows remembers which program to use to open what type of files. Example notepad to open text files. This is known as file associations. Sometimes a file association is created but its opening program is removed or deleted. Thus windows gets confused when you open these files or will show icon associated with the program, with the program no longer installed. Registry Cleaner and Fixer will search for such invalid file associations and report them to you.

Run Sections

Many programs run from different location on windows startup, such as Startup folder, and Run Sections from the registry. If a program is not properly uninstalled it will show up in the Run sections of Windows Registry. Every time you start your system a message box may pop up that windows have not found a program.

Sound and Appevents

Windows gives you facility to associate an application event with a sound event. Like a ding dong sound you hear when Application shows you a Message Box. If a sound file used for that event is missing Applications and Windows have to wait in confusion and sometimes may show incorrect results. Such as playing irregular sounds.

Uninstall Section

It contains currently installed programs which are shown in Add Remove applet from the Control Panel. Some times you might already have uninstalled a program but it may still show itself in the registry. Registry Cleaner and Fixer will report you these errors.

Help Section

It contains currently installed help files by Windows and other programs. It may contain incorrect entries of programs you might already have uninstalled.

Virtual Device Drivers and Services

Device Drivers are important software files that Windows loads into memory when it starts up in order to support specific hardware like printers. Symptoms of having invalid device drivers include messages upon startup similar to: "This file is either referenced in your Registry or your Win.ini... You should either remove this reference or reinstall this file’s associated application...". Sometimes if a problem is too graved windows can failed to start up normally.

Application Paths Section

Many applications store there programs association with their installed directory. Sometimes they are moved or changes such reference keep cluttering the registry. When ever you launch a program Windows first search Application Paths Section. Missing entries will only increase such search time.


Starting Registry Cleaner and Fixer

It can’t be simple than this. Just press the start button and Registry Cleaner and Fixer will start its search process. Search process depends upon the options you have set. Normally it will take few minutes to perform full scan on all hard disks on your System. During the scan process you will see the keys analyzed by the Registry Cleaner and Fixer.


Stopping Registry Cleaner and Fixer

Sometimes you need to stop the search process. Just press the stop button and Registry Cleaner and Fixer will stop there and then. After stopping Registry Cleaner and Fixer will show you the invalid keys and links it has found in the registry till now. Registry Cleaner and Fixer is a completely safe tool, it searches registry in read only mode and will not even touch the contents or modify and delete the registry entries unless you tell it to do so.


Removing Invalid Data

After the scan is complete Registry Cleaner and Fixer will show you complete list of invalid keys it has found. To remove the keys you have the option of either selecting each key and press the Delete Button or Press the Select All and Delete button to delete all the invalid keys.

When ever you press Delete button an Undo file is created in your My Documents folder which you can undo at any time either from Registry Cleaner and Fixer or from My Documents folder.

You are advised to be extremely careful when deleting the registry entries. Even though you have option to undo. Always have a current backup of your system (using the System files Backup and Restore tool). Optimize Your PC Inc. will not be responsible for lost files, data, or loss of information or any other damages.


Undo Information

Registry Cleaner and Fixer provides undo support. Whenever you delete any registry key an undo file is created in your My Documents Folder. To see what all the changes have been made in your registry by Registry Cleaner and Fixer just press the Undo Button. You will see a list box with Data and Time of changes with a file name containing the undo information.

Undo file is created in your My Documents Folder as follows :

|\My Documents

|-\PC Optimizer

|- - -|\ RegCleanUndo

If because of some reason Registry Doctor cannot create Undo File in My Documents folder an Undo file is created in the Current Directory.

You can do a selected operation by selecting a item in the list and pressing the Undo Button. It will cause the undo information to be entered in your registry.

If you are satisfied after cleaning your registry just select that undo information and press the Remove Sel… button to remove that undo information. It will delete the Undo File so be cautious.